{% extends "base.html" %}
{% load staticfiles %}

{% block title %}
    {% if is_initial %}发布问题{% else %}更新问题{% endif %}
{% endblock title %}

{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-12">
                <br>
                <!-- 提交文章的表单 -->
                <form method="post" enctype="multipart/form-data" action=".">
                    <!-- Django中需要POST数据的地方都必须有csrf_token -->
                    {% csrf_token %}
                    <!-- 文章标题 -->
                    <div class="form-group">
                        <!-- 标签 -->
                        <label for="title">问题标题</label>
                        <!-- 在 value 属性中指定文本框的初始值为旧的内容，即 question 对象中的 title 字段 -->
                        <input type="text" class="form-control" id="title" name="title" {% if not is_initial %}
                           value="{{ question.title }}" {% endif %} required/>
                    </div>
                    <!-- 文章正文 -->
                    <div class="form-group">
                        <label for="description">问题描述</label>
                        <!-- 文本域不需要 value 属性，直接在标签体中嵌入数据即可 -->
                        <textarea type="text" class="form-control" id="description" name="description" rows="12"
                                  required>{% if not is_initial %}{{ question.description }}{% endif %}</textarea>
                    </div>
                    <!-- 问题板块 -->
                    <div class="form-group">
                        <label for="column">板块</label>
                        <!-- 文章id和name需要修改！！！ -->
                        <select class="form-control col-3" id="column" name="column" required>
                            <option value="">{请选择板块}..</option>
                            <option value=1>生活</option>
                            <option value=2>学习</option>
                            <option value=3>交友</option>
                            {% if not is_initial %}
                            <!-- 动态显示问题原始板块-->
                            <script type="text/javascript">
                                var col = "{{ question.column }}";
                                var select = document.getElementById("column")
                                for (var i = 0; i < select.options.length; i++) {
                                    if (select.options[i].text === col) {
                                        select.options[i].selected = true;
                                        break;
                                    }
                                }
                            </script>
                            {% endif %}
                        </select>
                    </div>
                    <!-- 上传文件 -->
                    <div class="form-group">
                        <label for="file">上传文件</label> <!--这里是file不是files-->
                        <input type="file" class="form-control-file" name="file" id="file">
                    </div>
                    <!-- 提交按钮 -->
                    <button type="submit" class="btn btn-primary">{% if is_initial %}提交问题
                    {% else %}完成{% endif %}</button>
                </form>
            </div>
        </div>
    </div>

    {% if messages %}
        <!--弹框形式-->
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
    {% endif %}
{% endblock content %}
